[arch-commits] Commit in python-redis/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri Aug 9 18:23:06 UTC 2019


    Date: Friday, August 9, 2019 @ 18:23:06
  Author: felixonmars
Revision: 498556

archrelease: copy trunk to community-any

Added:
  python-redis/repos/community-any/PKGBUILD
    (from rev 498555, python-redis/trunk/PKGBUILD)
Deleted:
  python-redis/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  108 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 54 insertions(+), 54 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-08-09 18:22:55 UTC (rev 498555)
+++ PKGBUILD	2019-08-09 18:23:06 UTC (rev 498556)
@@ -1,54 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Karol 'Kenji Takahashi' Woźniak <kenji.sx>
-# Contributor: Pierre Gueth <pierre.gueth at gmail.com>
-
-pkgbase=python-redis
-pkgname=('python-redis' 'python2-redis')
-pkgver=3.3.5
-pkgrel=1
-pkgdesc='The Python interface to the Redis key-value store'
-arch=('any')
-url="https://github.com/andymccurdy/redis-py"
-license=('MIT')
-makedepends=('python-setuptools' 'python2-setuptools')
-checkdepends=('python-pytest' 'python2-pytest' 'python-mock' 'python2-mock' 'pifpaf' 'redis')
-source=("https://pypi.io/packages/source/r/redis/redis-$pkgver.tar.gz")
-sha512sums=('4830934c608aeaa4d95126e7cf7f5fea07cee2be2f9b568ab96b055500d1e28e1f308a87ef26b28cc8292f92cd33562466ead5a7809b134c188e595e4490ad8b')
-
-prepare() {
-  cp -a redis-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/redis-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/redis-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/redis-$pkgver
-  pifpaf run redis py.test || warning "https://github.com/andymccurdy/redis-py/issues/1073"
-
-  cd "$srcdir"/redis-$pkgver-py2
-  pifpaf run redis py.test2 || warning "https://github.com/andymccurdy/redis-py/issues/1073"
-}
-
-package_python-redis() {
-  depends=('python')
-
-  cd redis-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-redis() {
-  depends=('python2')
-
-  cd redis-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-redis/repos/community-any/PKGBUILD (from rev 498555, python-redis/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-08-09 18:23:06 UTC (rev 498556)
@@ -0,0 +1,54 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Karol 'Kenji Takahashi' Woźniak <kenji.sx>
+# Contributor: Pierre Gueth <pierre.gueth at gmail.com>
+
+pkgbase=python-redis
+pkgname=('python-redis' 'python2-redis')
+pkgver=3.3.6
+pkgrel=1
+pkgdesc='The Python interface to the Redis key-value store'
+arch=('any')
+url="https://github.com/andymccurdy/redis-py"
+license=('MIT')
+makedepends=('python-setuptools' 'python2-setuptools')
+checkdepends=('python-pytest' 'python2-pytest' 'python-mock' 'python2-mock' 'pifpaf' 'redis')
+source=("https://pypi.io/packages/source/r/redis/redis-$pkgver.tar.gz")
+sha512sums=('febbd31d4e6a4c9b6f2c990b2dae2bddbb262b9b07d0cfac2f42bd36881f462b1b3b23abe74dd59a516dd3f7446fff7ed1086cba5394933e9cc3408a19afcd36')
+
+prepare() {
+  cp -a redis-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/redis-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/redis-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/redis-$pkgver
+  pifpaf run redis py.test || warning "https://github.com/andymccurdy/redis-py/issues/1073"
+
+  cd "$srcdir"/redis-$pkgver-py2
+  pifpaf run redis py.test2 || warning "https://github.com/andymccurdy/redis-py/issues/1073"
+}
+
+package_python-redis() {
+  depends=('python')
+
+  cd redis-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-redis() {
+  depends=('python2')
+
+  cd redis-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list